summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-11-23 13:08:35 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-11-23 13:08:35 +0000
commit87cdf8e64e5874146493d2a4a4489b08583043c3 (patch)
treeb481dca3db38189f893c7e9fdf3fb98731b097a9 /dev-python
parentbed152ba1fc2f1316eaefb5c3d24d48195560f76 (diff)
gentoo auto-resync : 23:11:2022 - 13:08:35
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-15.3.3.ebuild34
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin262256 -> 262256 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.26.15.ebuild68
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.29.15.ebuild74
-rw-r--r--dev-python/bracex/Manifest2
-rw-r--r--dev-python/bracex/bracex-2.3_p1.ebuild2
-rw-r--r--dev-python/cfn-lint/Manifest2
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.72.0.ebuild54
-rw-r--r--dev-python/cleo/Manifest2
-rw-r--r--dev-python/cleo/cleo-2.0.1.ebuild41
-rw-r--r--dev-python/croniter/Manifest2
-rw-r--r--dev-python/croniter/croniter-1.3.8.ebuild31
-rw-r--r--dev-python/jsonschema/Manifest2
-rw-r--r--dev-python/jsonschema/jsonschema-4.17.1.ebuild57
-rw-r--r--dev-python/pandas/Manifest2
-rw-r--r--dev-python/pandas/pandas-1.5.2.ebuild210
-rw-r--r--dev-python/poetry-core/Manifest2
-rw-r--r--dev-python/poetry-core/poetry-core-1.4.0.ebuild63
-rw-r--r--dev-python/pyproject-fmt/Manifest2
-rw-r--r--dev-python/pyproject-fmt/pyproject-fmt-0.4.0.ebuild38
-rw-r--r--dev-python/pytest-check/Manifest4
-rw-r--r--dev-python/pytest-check/metadata.xml2
-rw-r--r--dev-python/pytest-check/pytest-check-1.1.3.ebuild27
-rw-r--r--dev-python/pytest-rerunfailures/Manifest2
-rw-r--r--dev-python/pytest-rerunfailures/pytest-rerunfailures-10.3.ebuild32
-rw-r--r--dev-python/redis-py/Manifest2
-rw-r--r--dev-python/redis-py/redis-py-4.3.5.ebuild71
-rw-r--r--dev-python/rope/Manifest2
-rw-r--r--dev-python/rope/rope-1.5.0.ebuild40
-rw-r--r--dev-python/sentry-sdk/Manifest2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.11.1.ebuild100
-rw-r--r--dev-python/tavern/Manifest2
-rw-r--r--dev-python/tavern/tavern-1.24.1.ebuild43
-rw-r--r--dev-python/texttable/Manifest2
-rw-r--r--dev-python/texttable/texttable-1.6.7.ebuild37
38 files changed, 1058 insertions, 4 deletions
diff --git a/dev-python/Faker/Faker-15.3.3.ebuild b/dev-python/Faker/Faker-15.3.3.ebuild
new file mode 100644
index 000000000000..7547e146fdbe
--- /dev/null
+++ b/dev-python/Faker/Faker-15.3.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 7b11289e9716..eef09ddcd6ba 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,5 +1,7 @@
DIST Faker-15.3.1.tar.gz 1598695 BLAKE2B 8c9d8ec18cf8505eb3ca00feb0e7cea78db2f6f5b8dd4b0a65cc600b0cf57a96c174a6f0f2f99f67dab873ad6afc63f858b5f0efe672583d055eb69d59a86104 SHA512 8dce318ee0e8959b7f7da4b5fda792476a7b4f8bc22a2acead29131e0f6c97fb0b84522cc2865264276f65606e8559ae3213f4671e4c701301845986920ecf9d
DIST Faker-15.3.2.tar.gz 1598951 BLAKE2B 6f1c53933639a478aa6db933b26e326561b654cbb3d7182c7d8b1add50aaa4089ebf001553e95657baa2f434516148e40417c0265043d2a50f8e86c73556f82f SHA512 96489fd02cc16ff0a31a0f165805aa4508e2f3e04552f2008b92f211c8645e37ee23a8181838f851114906e2df0da19a95c38889e6afab5d1c7cf090a9235e17
+DIST Faker-15.3.3.tar.gz 1598995 BLAKE2B c6416f06b835b153a2e72967a4b65b962068d027dc35a95ebdd92175f8e6330ef07f3721ca5d6ba4bb85efdc54ecedf0663f458ec8fcedd489e2871c623af3de SHA512 371516d95941921f5180107beba633a40df719a38f6b752f38857be15ae7befcb602c1b3f16ccbbaa7e8aa2c6b158c70aea38a112d65234d334ce1f370c91b87
EBUILD Faker-15.3.1.ebuild 705 BLAKE2B 37b842966529f921966d6c41274fe7fda29057fbb967293a2c6e5c77a7d97a649c274e51c64b0436e2ea46d6e23b149975d0f475db1170ce7e42ea42b87b3e81 SHA512 1fb4569a6014d096edf4bedcfe937f3305a971908adfca995d464a831e5f72538f45d0ef7eb72be84c5daf1d8c8535934e2a8f573d6162c75b4643c7e842ee44
EBUILD Faker-15.3.2.ebuild 705 BLAKE2B 37b842966529f921966d6c41274fe7fda29057fbb967293a2c6e5c77a7d97a649c274e51c64b0436e2ea46d6e23b149975d0f475db1170ce7e42ea42b87b3e81 SHA512 1fb4569a6014d096edf4bedcfe937f3305a971908adfca995d464a831e5f72538f45d0ef7eb72be84c5daf1d8c8535934e2a8f573d6162c75b4643c7e842ee44
+EBUILD Faker-15.3.3.ebuild 705 BLAKE2B 37b842966529f921966d6c41274fe7fda29057fbb967293a2c6e5c77a7d97a649c274e51c64b0436e2ea46d6e23b149975d0f475db1170ce7e42ea42b87b3e81 SHA512 1fb4569a6014d096edf4bedcfe937f3305a971908adfca995d464a831e5f72538f45d0ef7eb72be84c5daf1d8c8535934e2a8f573d6162c75b4643c7e842ee44
MISC metadata.xml 474 BLAKE2B 337c8b17b4ca092edc2e59bd61dd847e4b9f2bd7e0651d07dad5b3e3eb4f311de9e27e6cad1f6a4835f618446cfa4cdb95e578a8af11498cf7bed1ec697990ce SHA512 35f4a2a50ad5589ba50e619670d1f1eac423fec920bb9c07b3f8bd7d7f2a0bb4e88dde286b062339b30ba304bd1a834bf3318c0b0ad0552ce9eb45fa72e5f44e
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index dc4e28ddd0dd..debe8dacc885 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 06689b120986..cf357bf90cb4 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,12 +3,14 @@ DIST boto3-1.26.11.gh.tar.gz 561018 BLAKE2B 3bd4ddd23d0752dcaad9795041658909f8df
DIST boto3-1.26.12.gh.tar.gz 563006 BLAKE2B 3618532b3156029590dbfb9cabb62506bd1a945bac78cf7d4a4e95300ba6a4c9d2258801f8f69107670c57bada7cb2fb37811ad18db891c2b4d50dda257a8f28 SHA512 0a7d504bfcfd0f6c0a7f1ee799911e3828094d104472d150ef8ccdd8e0ecd10b25e88d845fe701bf2a93629bf0f71bf673ba07c469a76aa301fc5e9bbe3c9ece
DIST boto3-1.26.13.gh.tar.gz 565005 BLAKE2B 445b5d49dec5983213166c1365a38f721d945d6ff32a2c6d2fd74bf87512d5a5d5dbac5379eb0f5da10744e7e4c3993f206d2f224c9fa09723c263c615183ad0 SHA512 ba2948cefd0bb8befbe0de5c082c0e7de6ddd44be1e05b245ab2b4cf7bf464ac1efa37c12a9ddd6aebadb6b71ec3b8ab6f7f3038c8d538b73ff0cf3b2e1a2199
DIST boto3-1.26.14.gh.tar.gz 565166 BLAKE2B 271ebad718999d3986ff393c670fe495af3a37dcea2fabd8ad4c459929d50f237eaef74e0b7e18731839b8cc9562183e4d0ba3128f6407f83a4df8166e4cab58 SHA512 42243b3b93a84571a050e7cec5091f2a70dd8e14018a1f2e825e40761ecd9bf822ae7b35a48831259eb8007b0564254255a5899795454178a6fc4d1c8d81aa1f
+DIST boto3-1.26.15.gh.tar.gz 565491 BLAKE2B 13435c477bb865cc3f74d0890f5bc425567e0e14d61d5784bb1297c3b233c5ed0642a6f2d0ee26e9a8268b8b5c5f61edd7af79d439eec6a0535b7604876bec6d SHA512 477d0119166cb0c2c5ae42bec627718b6072be6f611b7ee885398b62e52a6f6a270d73032b4d9cf4dbd1a07cd562380e23348aac8e7bb2fed54cafa75b33896b
DIST boto3-1.26.8.gh.tar.gz 557012 BLAKE2B 211bb7441acc8b1f901ebf5251288dc7c9073fa6e34f5a34426424ef064efb0fb3031deaf48ef336ec43bb015f95f618598da43d12ec83cbf814e1b4097b28a0 SHA512 738190cedfb0b85d3a1e9558b03e7f2fb14e43b152bc9627fd95c8ecc4a0ddc17f4c87ccb6129c1fbf5f47db9eea4dbc5c2cfbb69b903bc6f3ff417ef86b6f6b
EBUILD boto3-1.25.5.ebuild 1579 BLAKE2B 394d8a1bb7a1036ab4821bc789c9eea285f8a6a7c21e751d60c94a53d5fdd37119eab54bfd19bfe0856b7557df04340f50c7cebbe631234e8f582e7d62af13ec SHA512 beee3b634e3b1d66365beb2e97b9d09188fa795e00d9d05f2101de423128741ee1f8ad8ae4b0c35f1e6c6473ce73cc3acf47d9141029b4435d39a9803a5fe1b2
EBUILD boto3-1.26.11.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.26.12.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.26.13.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.26.14.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
+EBUILD boto3-1.26.15.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.26.8.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-9999.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.26.15.ebuild b/dev-python/boto3/boto3-1.26.15.ebuild
new file mode 100644
index 000000000000..6edcc751d54b
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.15.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 1f18f2c5aa95..4f2437836405 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,12 +3,14 @@ DIST botocore-1.29.11.gh.tar.gz 10660645 BLAKE2B 0d5f8a7e34f99947e1488b468699e68
DIST botocore-1.29.12.gh.tar.gz 10675051 BLAKE2B 8ccf2f7fe711556d05771712b365a5317aa386411b3a98eaf3240fe14b7f14f04974e2847dc3c49178f4c22a8add957f3286b75f96f10dc68f99e2260a2ade77 SHA512 8728ac25d6dba86d99998a336b17446f1b5000dab9e0f01e0bd61afcf9b806cb2fd3ac747119dac9a9b063463555cd977b2edac2a0b363b79d18ae68b1e8bdb1
DIST botocore-1.29.13.gh.tar.gz 10704244 BLAKE2B 593fb236ac87e13fca6688e91ee680404506f308a312b35e1a92205b3e533c24fb9dd39a0eedbd64887128daf388607fdce74b439d0e3e1fa1df970e73b22c79 SHA512 673e7ec32cbfb4aff51ad0399ffbf51cafacd7d29f06769290a00284d54f43891d0a25dfef3d805b6808130cdafeebf07c0f4cec7ac614b22aa8daba1c79cda6
DIST botocore-1.29.14.gh.tar.gz 10705895 BLAKE2B 3f20e92819965abb6ce280e4d4c4d967ddc2fa722de058140785637ee541b4f3d88c158aa9ceacfc0c2308c8bbda37d0b8ee53bc63a8594806c5175b150b2f62 SHA512 b6ddc39c82d9b7f59dd5f953e0eca90e21f1de2bd82ab731708acc3853d826308f7480b83f018f663ccb2846abed84d6bf1443df0d9ab1041589b1ed3b0d4fc3
+DIST botocore-1.29.15.gh.tar.gz 10707154 BLAKE2B e282f61ec0909bc6d58190310b798ef44367ec4d404679666855266134df3988ce90e30e4d85c834f4825c1d013462510d30ae3224491991a2671fb0f4b680f4 SHA512 e723bd34543b01286d0e7f3890ec27683c079ff80324fd5c450b9893d40b3126e996712e3605b6ea93f7551b0929fd9eca696ed383819c03dd801cf00f3264bb
DIST botocore-1.29.8.gh.tar.gz 10636661 BLAKE2B 3ebd9e5cb6cc1a9d4ddb877e806e0a845e6a19a4604b4489dbdb9a0f35251201de5d7062f3b0193db3e28f5170d8c3315fdc0b2bec7668a61880ff3e9305d3bc SHA512 c4a1a3993576bd0340de4eeb25e10650219e9d74c21f7e51e5298120bc92a8359143c38d5a991b940316fc5eac483e4e838298881a5c068fa91dc3ebf92a7f5a
EBUILD botocore-1.28.5.ebuild 1801 BLAKE2B 224b9b1ebd6786f36115c25699b06ef4ace30f13c8c97fbac20f37ec3dec7219e89fae3fdc70ef2b808342e7dab564755b758952cd565f06ef68b1e387c1ee7e SHA512 f26fd77fbbc424dc20e7844807bb7650e73e989e15fa5c20c9733e3bc322f4a2fffda47fcd29f82490be7262648582b162f86b4951c8d338d9ebbb1312df8294
EBUILD botocore-1.29.11.ebuild 1905 BLAKE2B 27d2867aaea19612f4561f65e9c018f7caa73a78b627988165703230bd47488a99b1b38bfbdf1dae735806a0de9ca9a17db8afb526121f8c5402e97ca659a6b9 SHA512 9aa2a546360c0bc286bfabb5adb2c95af40d4d405d89fc4186856814b9b88d158fa952d82fd42126876270615e88a24820ac61132e8fba8414db4ac01da2f72b
EBUILD botocore-1.29.12.ebuild 1905 BLAKE2B 27d2867aaea19612f4561f65e9c018f7caa73a78b627988165703230bd47488a99b1b38bfbdf1dae735806a0de9ca9a17db8afb526121f8c5402e97ca659a6b9 SHA512 9aa2a546360c0bc286bfabb5adb2c95af40d4d405d89fc4186856814b9b88d158fa952d82fd42126876270615e88a24820ac61132e8fba8414db4ac01da2f72b
EBUILD botocore-1.29.13.ebuild 1905 BLAKE2B 27d2867aaea19612f4561f65e9c018f7caa73a78b627988165703230bd47488a99b1b38bfbdf1dae735806a0de9ca9a17db8afb526121f8c5402e97ca659a6b9 SHA512 9aa2a546360c0bc286bfabb5adb2c95af40d4d405d89fc4186856814b9b88d158fa952d82fd42126876270615e88a24820ac61132e8fba8414db4ac01da2f72b
EBUILD botocore-1.29.14.ebuild 1905 BLAKE2B 27d2867aaea19612f4561f65e9c018f7caa73a78b627988165703230bd47488a99b1b38bfbdf1dae735806a0de9ca9a17db8afb526121f8c5402e97ca659a6b9 SHA512 9aa2a546360c0bc286bfabb5adb2c95af40d4d405d89fc4186856814b9b88d158fa952d82fd42126876270615e88a24820ac61132e8fba8414db4ac01da2f72b
+EBUILD botocore-1.29.15.ebuild 1905 BLAKE2B 27d2867aaea19612f4561f65e9c018f7caa73a78b627988165703230bd47488a99b1b38bfbdf1dae735806a0de9ca9a17db8afb526121f8c5402e97ca659a6b9 SHA512 9aa2a546360c0bc286bfabb5adb2c95af40d4d405d89fc4186856814b9b88d158fa952d82fd42126876270615e88a24820ac61132e8fba8414db4ac01da2f72b
EBUILD botocore-1.29.8.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-9999.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.29.15.ebuild b/dev-python/botocore/botocore-1.29.15.ebuild
new file mode 100644
index 000000000000..eed342eb3cfa
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.15.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/bracex/Manifest b/dev-python/bracex/Manifest
index 228d63f8c4b4..db1a4619f4aa 100644
--- a/dev-python/bracex/Manifest
+++ b/dev-python/bracex/Manifest
@@ -1,3 +1,3 @@
DIST bracex-2.3_p1.tar.gz 27541 BLAKE2B a9e33e01f014c6b784b059a76da338a708a24ff88787c98c0916a6d13ac5497a1f4f14d711cab8bde1281a9968db68bdc8fdfbc23a531ef6c89adfa9974492b1 SHA512 3c5a8a81adb78c9d3d40b57328a6a47b3257bb0072be2685c8049cf8a91501993ce470dfd394a61d0a0fdcd082405b204e5e3e0666018978b5aa820b0d74b631
-EBUILD bracex-2.3_p1.ebuild 1154 BLAKE2B f5b70ab0cab296f4676af4d0545bdd71c00425542e603dde17104addb069bba565959cc319a6fdd34f9f2a2187b0eb1d0f5f36b9efc162e8b5600f7fdf52bce2 SHA512 4efcc3574ba688daf759236d33fdab7e1e95f8b1f6ddd790164dae7116af10b55b88aab9f8d9352fab0f55fcbb5901a9b1513c1e86d0d3016e031cac82fa37e5
+EBUILD bracex-2.3_p1.ebuild 1166 BLAKE2B 3bee7c06e62504523d5bc5360e79b8ecbe17c16929f63a1d9f11889a05b069db9b945a0b4e3fb607555e0d4996ca96b15de200a97d72efd1bd3d7608fd293b9e SHA512 f5f62e8ea909222a8ad2fad599c7b38a4be5ec3c2125cf7babcc050b4d8b00bc89e22b95958fbea5076ed9e75c1c3cad61d153dfde596781f57cf3d04e9f3144
MISC metadata.xml 1353 BLAKE2B d6fd0602c7e79269273cea7837247e6f2a3bf4cb26a3abae6a70975792b12f83b8403faac84e8c4011bf236df34da5ff85904e13efd54a577f04b16ee0abd642 SHA512 74a14139c4a40c542680dfd94b2f227c7cb62981bac82e2b57b68c6c2e3be17e80222e01fd92e53b18fae2d8e33fb84f01f074e43e1ddb21e0f06bba13bda713
diff --git a/dev-python/bracex/bracex-2.3_p1.ebuild b/dev-python/bracex/bracex-2.3_p1.ebuild
index 8ac52e0eef59..15c37af48db7 100644
--- a/dev-python/bracex/bracex-2.3_p1.ebuild
+++ b/dev-python/bracex/bracex-2.3_p1.ebuild
@@ -32,7 +32,7 @@ S="${WORKDIR}/${PN}-${MY_PV}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~riscv x86"
+KEYWORDS="amd64 ~ppc ~ppc64 ~riscv x86"
BDEPEND="
test? (
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 9846457612e0..925adcf60121 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -6,6 +6,7 @@ DIST cfn-lint-0.70.0.gh.tar.gz 9891445 BLAKE2B 6cdacffb2c3649203046339d088d3e41a
DIST cfn-lint-0.70.1.gh.tar.gz 9891593 BLAKE2B 2ee4ba8d688c3888e11e1df52ab26f554f7d13a2f46bc56b5f0d3de7912e8cd99432e7dc174f0072966fd6a586718abe5e9ab11797c5a24480ee508f8819a7df SHA512 c2566ffadf5935b8dfd38eb690f406466aef4d1e0793691547479673bc2519acd8bd5b42ecfb666736c81e9cf3254601542b0a7d4b5257ca626e6e3b194c64da
DIST cfn-lint-0.71.0.gh.tar.gz 2970400 BLAKE2B f57f8605a05004dfe6207a313126c74d163f4e461b4065d8ba439534b38cf9beb4d7fc11ed7736ae3c635ba3f7ab3d658f5d8278d4859bf24c987545d9105e97 SHA512 814e9029e221fc5a6fb9d5c687760549fe6a239ca3c9f0248a4bd307429da46ba394af49a7af1d3f52f4fdbc88ded86aa5cc42e3e46608bacb909d23e334c053
DIST cfn-lint-0.71.1.gh.tar.gz 2984397 BLAKE2B faa2164ee0f469f8e9118b82d5c86dee05e5404feb5ae28abd9e4218122677dba09308d5a573c4eaabb8f321932b8de621a39bc20f1c86724dc24fedac7e7a93 SHA512 dee916eaa43eabcc4cf2db7fb08db8875f68292a56aa97d29d0d291da51a828a78b681162b71759ec0dc3d246570dbce8fe33a41ce61c22e6fbf2a4ff15f49ff
+DIST cfn-lint-0.72.0.gh.tar.gz 3027416 BLAKE2B 710c403838d90de46525ce6991aa05bb973fc010b6909d329c8a59159779578f51248f823554faf1c9c9f2fd019235770f1f9ca124426ff1c79d203d7599c5c2 SHA512 c420ab110039c4bc761551ca8665d2c58390ffb0590adf2f8ae3beb3cc2587fae1c96e06faa5baecb6014ce68f580e8f0d285c2ad287718c15d6d6e49ca5d50b
EBUILD cfn-lint-0.67.0.ebuild 1638 BLAKE2B a439d73d2d83ca8489c2bcbf2c1034f650ad4216d6600e2163c60976ef0133fba36316e9cb263dbb7c3d12d756d8cad188c762732952d0392371a8e74bb58743 SHA512 1426c30e2dc1d63b765a109ee707fa8d466046789694cc1d3afa111c3263b3da11560c72ec6fdd180f213bd5619d9bc5f9b23bd0e9d230eef66d24b647fd2acf
EBUILD cfn-lint-0.68.1.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
EBUILD cfn-lint-0.69.0.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
@@ -14,4 +15,5 @@ EBUILD cfn-lint-0.70.0.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea6536
EBUILD cfn-lint-0.70.1.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
EBUILD cfn-lint-0.71.0.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
EBUILD cfn-lint-0.71.1.ebuild 1640 BLAKE2B ae06a57b64652dff129a2532863f0ac274cd1f97cc65d78a0cdeea6aab3b134fe2e8965eee02f2f220cd8893091539b02d519958b3c28fed305cf727371456aa SHA512 3a98281593316fa61399e97469a52bc3da0ec74211098b39c82a07f0d3c5df2ddcf7b8ecadb10b8bfb37d632e1221209bf9aaea44bb36a204f96148b6b111ae9
+EBUILD cfn-lint-0.72.0.ebuild 1640 BLAKE2B ae06a57b64652dff129a2532863f0ac274cd1f97cc65d78a0cdeea6aab3b134fe2e8965eee02f2f220cd8893091539b02d519958b3c28fed305cf727371456aa SHA512 3a98281593316fa61399e97469a52bc3da0ec74211098b39c82a07f0d3c5df2ddcf7b8ecadb10b8bfb37d632e1221209bf9aaea44bb36a204f96148b6b111ae9
MISC metadata.xml 583 BLAKE2B 9f73e2b92e5cfa2ad59f5c8e5d91bdd3aa9eba3fa722b93b388cffea42020db7e7441bab5749432812934a4514d3e9104e6d897e1d115afa5ed237757bd48c03 SHA512 1866a349855ae4e248498b7aabd6ce4c4e10ea58731df4bfa13500f61dc041da6dbd7420e7d6a78fad46d5cf00bd7ef2d0c4c7d6819a21b3a5031b0d49588a19
diff --git a/dev-python/cfn-lint/cfn-lint-0.72.0.ebuild b/dev-python/cfn-lint/cfn-lint-0.72.0.ebuild
new file mode 100644
index 000000000000..335ae90faf41
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.72.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.54.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/cleo/Manifest b/dev-python/cleo/Manifest
index 0f1225da407e..3687e2d809c0 100644
--- a/dev-python/cleo/Manifest
+++ b/dev-python/cleo/Manifest
@@ -1,5 +1,7 @@
DIST cleo-0.8.1.gh.tar.gz 96220 BLAKE2B 57971f6254a31ecf5101d89e96607b5915ab5138d727279d445172b89a10acd6b76619d344973fa2bdbc320866fa1dbdf05c889f4eca879839fa6bcbbad0af7c SHA512 9cd470063db9866a526f0bb8619d772c585377d5b1a662e0f94bad9fb9c853598b176444ca1ac0fadec82992196c471646504d6a28d4dcd1171433b8d160be9c
DIST cleo-1.0.0.gh.tar.gz 154114 BLAKE2B 7a8906b4a40c1d1a9899f2195a4e4a35a828c2ea7713df31a94e40e7e930b8624a24ff5bc219140b5e42e100f96199393c940aa1bac24991c380f2136762dbff SHA512 a45af3f4ff0fc9535363bdcf265ab3d7726af99cf4b48e896f9d5fb1404721b4641f80e37a7266690a1f7d4a261cbd4c746338294ff29745f782f8657cd2bb07
+DIST cleo-2.0.1.gh.tar.gz 154222 BLAKE2B dcaeff38c2dcb13b3c11200aa97cb2a1c16004558aabf9b44f1ba7ddd5d9c8c7784ea0ba1c50c19b015a6ff0659cb116b8ee926670091e39fd2b1cfd426cb72a SHA512 57a8e9cfc5486f73ade424199aaeb3def787a958031691aba2c6a230323d1c816316e3639dee7a07111aa0fc852d7088756f515cb24fdc84a40056ce969e5884
EBUILD cleo-0.8.1-r1.ebuild 685 BLAKE2B d9e20e7dfe63ffbbb870c619b2acba0df1cacbe73c5ff11fdd8664213b6dc8ca551800e02354e4bbbf05051ba3e72d8e6c3c8fc7f9926bbce7ab4d9400820b2b SHA512 e32f7ebd874b0601d81d3741f9989e5a236a3cbc8b0d58beb498db87bc54abe3356d16514add227bdfe5e88e64d0bd7d4d5102cb3dc90614a458586fee819a76
EBUILD cleo-1.0.0.ebuild 694 BLAKE2B 18f2a0847836bb6ddcc0feda07c0f9988e9869e22bec3010ebe3cb0a081767cacc5fde7931ac9de7286a82c08594f922fcd0b2f55f7f8e36eedfd502f1a153e4 SHA512 119f89d47b56c8f8dde111589dbbbd87287a29d40a343a82f41e904adf90171f2fe53328a9076300ad732a5f6595e95e847cd75e92ff3065b2cca2db53d0773f
+EBUILD cleo-2.0.1.ebuild 802 BLAKE2B 040a311ca5e3b277f2fc49e6eb4c89fa4c00d49440d10d612a3201c109127e193967d0530f9f8d8940f41a1c2b7e0101fd44b8c845e84bdd961c41546a4b5a2b SHA512 0e65971f4a8e7015fb9f1fa17529dff965dc0f3592be94185f06bcb88043c366d6572fc9fce67df6131c3444b9afcdbee10924a8b758c6a98cbb4985beaf86d4
MISC metadata.xml 517 BLAKE2B 57f7a68aac9ad122e22985a8c0653b1d2e0d558af70fb4c2647ff605bd38034513052e54bd30de61e8b3fed9deae3aa7f8b6ad656cc35c9d48b7c33024cc1496 SHA512 f36d1fcc2cd34ce638cae69f32e810e45873870e0b1711d747ef882b4463ed3b0da8881989539b00d2bfc7b39f9e5886b2b378575f8108bd0676ff28695cdcfe
diff --git a/dev-python/cleo/cleo-2.0.1.ebuild b/dev-python/cleo/cleo-2.0.1.ebuild
new file mode 100644
index 000000000000..c3e87c88a8bd
--- /dev/null
+++ b/dev-python/cleo/cleo-2.0.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python tool for building testable command-line interfaces"
+HOMEPAGE="
+ https://github.com/python-poetry/cleo/
+ https://pypi.org/project/cleo/
+"
+SRC_URI="
+ https://github.com/python-poetry/cleo/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+
+RDEPEND="
+ dev-python/crashtest[${PYTHON_USEDEP}]
+ dev-python/rapidfuzz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_mock
+ epytest
+}
diff --git a/dev-python/croniter/Manifest b/dev-python/croniter/Manifest
index d76e13331ba1..9c1081256768 100644
--- a/dev-python/croniter/Manifest
+++ b/dev-python/croniter/Manifest
@@ -1,3 +1,5 @@
DIST croniter-1.3.7.tar.gz 38853 BLAKE2B 2a05a023300a1e90824fdfe444eb1b2e43889c99d5b070329fc9f11c9e1807c4bb81a0c27c17d3aa92130d91c949e8515b76c7d927a5c583a3a86172f24be446 SHA512 c0157fc3d5b88ae66ee9871bc9e18b835a71f2fe85d66b9e92b05329652e150bdd823976a495b30e62050fa21d3353cffb090c8c99b74f79eba6dfa87ffcb11a
+DIST croniter-1.3.8.tar.gz 38982 BLAKE2B 2b28c7e4e991e9525f073a00ba3b346144ed6d353e95509c1fac47ddf56c645edaaa3927f8ca6615a94d37cd6926c26cd1514a25520a48b39c3028ef79ac0337 SHA512 c0216aedd594f07a9e2fef0f8f4406ad2037f1d4543f9414598e0f2ef81a61615554b1f779ce4e75d36cd5e80def3a29ee57e88c15d5d70da06ac2b861ead5cf
EBUILD croniter-1.3.7.ebuild 656 BLAKE2B 97a74e04cbb2025661b8a3becbadf2c677061c34fd68bcf9fa5fb7173f4e04d77fd60e3802443fef041509a133838d62c3742dbc605160076cd18a26d86bca7b SHA512 ff46fc214548e114a89e8058881110b5de3924c27e4c2a977df0c6bcfdacd36fa37d5ebae331e9a4e40ddcdc6c6580a30155aa72a11239278f7e6bee11c6ecef
+EBUILD croniter-1.3.8.ebuild 658 BLAKE2B f4b5903279a33bd4546722b60e0d19345cd95aaae5397305b1cbd24e2aab0a612fe662f85f110e5aec6bed70b43e1e2f4d5d4dbb5107ba5a9316fbedd529b7b0 SHA512 6b8bd7c0059d957d3b07185312871c921e8a3d5fe3dc407f3d701ec4787bd1a407b7d6596eb5b342a035cabc075f189631fe3b87cddade13fef83811eb968842
MISC metadata.xml 470 BLAKE2B ee6bfe88287fe27cb8bb33258f6fbb3275daf8294a834e899975e27c34d9103e21dcdef3f43b5df3a9a9e5d741f971d0117ad6e4410c1117306d9b913c8f2bc6 SHA512 e2167dfde1b79b2ec613ad671868a7ad28e64705515534b7911d2bc1f2cfeb6e68e14b1d93e6e29ab2f60c2b49b60454d4b6d9bba2f7bcf9cc3f3a20424fe3a7
diff --git a/dev-python/croniter/croniter-1.3.8.ebuild b/dev-python/croniter/croniter-1.3.8.ebuild
new file mode 100644
index 000000000000..07402f10627d
--- /dev/null
+++ b/dev-python/croniter/croniter-1.3.8.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module to provide iteration for datetime object"
+HOMEPAGE="
+ https://github.com/kiorky/croniter/
+ https://pypi.org/project/croniter/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index b5558a8b9b00..542ce8cdc8cd 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -1,5 +1,7 @@
DIST jsonschema-4.16.0.tar.gz 292399 BLAKE2B b1a78bc7dbc7cd10324638b57ebe4593afbdcbeb8d4b247aa127f41d5f6cce5e7970f5db1576e6a761357d8efe453ef514ae49f58b6624a05c4b7771daff3721 SHA512 c84abc992f410e9d558e2ce06c7172e9e2d298cff469baf8a23b1ea5b4777e6addfa757c5cc62b2e28e257721ee55e04bec0852e5f525adfa87392cbf712828f
DIST jsonschema-4.17.0.tar.gz 293414 BLAKE2B 51910903a788c5fc0fea695f40ac26c886a88a6b97e653452d11ca9b4cbe18a24fe4c28a13705f77c16c1b2342f66ac86232f9ac7c578c94f23b725580e82b17 SHA512 a0160caea26527e5afbba48fea7f0700e8cd0bb5cbd9661501d34f5dd9857971ca3fd9982bc17f570d0b5a08eb5ecfd0e5182f78a0e0a6343621ed8360643166
+DIST jsonschema-4.17.1.tar.gz 296586 BLAKE2B 2d29abd1d27c216cb53363ea801f1a83aedfae66fc1cf90dd7b9cb4e9ce809e09819585a7e83c060dadc2a200c45036ec22cd35d4005757b4b8797f05daa207b SHA512 5d184ea60cf313c9fa6a3e1c2891432531aa7a25a5aced8e51aac46eb67fe7fd17bc9d141faa3e52a834f9067556225cfd3a592d80867b543f0dea42983e5d04
EBUILD jsonschema-4.16.0.ebuild 1640 BLAKE2B 9d05c031930382ed2d4783fc7caffb79a4a633241e614c042e0e57e536a4914a1374d6e17670361e2f46869cf46d53a60573fff34558fc7401112d83fde8c4b7 SHA512 7d708318a8924405db94ae833328b5b5119c2e2d6937ae6e81a0388de04e567c64a4e3e01c1e2099deccfb80b59aa8d17ffe198704403f7c4e90676ef34f5dc2
EBUILD jsonschema-4.17.0.ebuild 1641 BLAKE2B e03c723527f0d97b8cdbe0432687325b67378a7ec9d6241327a21ddf079fcd7e94781e0d2ea3d325cc7a8a590bfcfee553aec61ddc428a5cf2eca3d635186fd7 SHA512 ab08d62e24fee05291ef45223f7aca89556733b99f9a64840499cdf61cb624eeeb3ff7fd749ad561fc2753c6aaef4a10a6981816d468058eb0394c7d133a997c
+EBUILD jsonschema-4.17.1.ebuild 1641 BLAKE2B e03c723527f0d97b8cdbe0432687325b67378a7ec9d6241327a21ddf079fcd7e94781e0d2ea3d325cc7a8a590bfcfee553aec61ddc428a5cf2eca3d635186fd7 SHA512 ab08d62e24fee05291ef45223f7aca89556733b99f9a64840499cdf61cb624eeeb3ff7fd749ad561fc2753c6aaef4a10a6981816d468058eb0394c7d133a997c
MISC metadata.xml 705 BLAKE2B 731159cc340e6cbb15fe5a8d374188c8df685e8f8294d19af54ca3d209beb8c273b6e901b6b7fe75401324b8512ffb7f1870aefa8d4a139d1e3b84147d993af6 SHA512 1069fb33b2cf47d3dfd5e825b23ba1efa7d764d0d23aa009db522d04bc08362f5ca646411ec405cd33152a65ea8de2ea90d3dd6d4d4bf1a947ae7943e9d4c727
diff --git a/dev-python/jsonschema/jsonschema-4.17.1.ebuild b/dev-python/jsonschema/jsonschema-4.17.1.ebuild
new file mode 100644
index 000000000000..ac11d050d26a
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.17.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema/
+ https://github.com/python-jsonschema/jsonschema/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.18.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-1.4.0[${PYTHON_USEDEP}]
+ dev-python/pkgutil_resolve_name[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uri_template[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires pip, does not make much sense for the users
+ jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
+ # fragile warning tests
+ jsonschema/tests/test_deprecations.py
+ # wtf?
+ jsonschema/tests/test_jsonschema_test_suite.py::test_suite_bug
+)
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index 622f8be2d879..2351d8bdd841 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -1,5 +1,7 @@
DIST pandas-1.5.0.tar.gz 5191537 BLAKE2B c7dec1d0197e6ac860667177f0f255bb327dbd48fe4501280d578b93f4496e61c0847dc478effeb8c5729d7a9d3e8a643c01db095a9843d6d211a9420f94d42c SHA512 8d340da1e0dff9b64c8993359b35ddcfc796fa15fee1bf1a27ea5a12e33f8b20d45bfac0ff9275b16ff0d4f7855a73962629e06c62bc08ca5e21b4ef1ea29ec2
DIST pandas-1.5.1.tar.gz 5199286 BLAKE2B 17d98870f3397d7a9289a18708021a614b1d456e2ea99dae8927727aabb8aab73bd31f25c3035947f8f4c38404e7d971bf999500b300307b19a2cf6029763d0e SHA512 e5f25f21f17f36c6488f14fbfa391beb9f1989652de01cb8346d2826dead9331fea27295ee1e6f42d0875f2f1a91fcd23d606edd339432589bca5ba8d89e5ecd
+DIST pandas-1.5.2.tar.gz 5201551 BLAKE2B c6a8156a6c116f1b576837882e4ad4ada6cf21bf72acd673d74bdb1dda4f97f88a5e6422e8f8ad2fbbb85a334cd68cb0abae316d5826c54a85baf8b325ab6183 SHA512 1e6b653ff418c839895946123f90fffcfafd57f24dfbd6bae4e9988893b7d57d6276ed101112c8f9730af53f600d006fe3a53bbed597c0376856f2cfc90c1f05
EBUILD pandas-1.5.0-r1.ebuild 6746 BLAKE2B 68d0eb2a48bf831b3fdf9031af522aa1d6083f085156ea52130e420e241257b87b2fc444ffcdfb44f2e959c91118483fe1b7b5af8ccb9096c48a7d8e87c00ae4 SHA512 ed0e4cda6901c6a95ebc77f67178eb229bc73a89fbae30d86b9cb9682b35a1132890e6f3422604a2b14de548d4f7a5d1f9f4f9d01a3a1ff91cfd76b46c835ee4
EBUILD pandas-1.5.1.ebuild 6846 BLAKE2B e27b7d9072bce22083bc66c5b8e7e6176ed9f9be5b32814c2b9d7b494154486f430ce111107aa4601b68c8dd71e226077bc12c1fb6dc5b95df1da334e9874645 SHA512 604782eb2fc60594fa4f25cbca9dda280df1e894924fed5eccd7a0b6e2e36bab6ac505cf424fa7208001c2afdd6ca4fbcf0596c47d140b266803c156fcb860b2
+EBUILD pandas-1.5.2.ebuild 6850 BLAKE2B 3a609bc77c708551a04cdf6734c492c7aba0e83223fb59976d12d126be7ce2feab7f18e146afcf4a39bb510377aecc31902efab9ab3790483c986cb12989b553 SHA512 a18046189859268d43ac0f67dc43a57a07f072547e3f5c2f1d2b4b320e8763b19638b8d0ea76fd667b2c2169dd4938c09233cc2f0db77ec2431cf9f22a1e6eb2
MISC metadata.xml 920 BLAKE2B d6bd854acdd851d578038657d91adaedf4f220dbdc5905ebba5e35e74437c6d5bc2384061f7796a6f359aa128c526485635debfd0e1a9646d09daed740167c87 SHA512 dcd949e89cae9df918acb3cf8be5ad8c396ee5e646d2179aa2b646fafa15ffc11e9ccf853df8d7fdcc787f88ce7063639d8d87715aaba943774edc8ad98b540a
diff --git a/dev-python/pandas/pandas-1.5.2.ebuild b/dev-python/pandas/pandas-1.5.2.ebuild
new file mode 100644
index 000000000000..9b507e23b10b
--- /dev/null
+++ b/dev-python/pandas/pandas-1.5.2.ebuild
@@ -0,0 +1,210 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="threads(+)"
+
+VIRTUALX_REQUIRED="manual"
+
+inherit distutils-r1 multiprocessing optfeature virtualx
+
+DESCRIPTION="Powerful data structures for data analysis and statistics"
+HOMEPAGE="
+ https://pandas.pydata.org/
+ https://github.com/pandas-dev/pandas/
+ https://pypi.org/project/pandas/
+"
+SRC_URI="
+ https://github.com/pandas-dev/pandas/releases/download/v${PV}/${P}.tar.gz
+"
+S=${WORKDIR}/${P/_/}
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc full-support minimal test X"
+RESTRICT="!test? ( test )"
+
+RECOMMENDED_DEPEND="
+ >=dev-python/bottleneck-1.2.1[${PYTHON_USEDEP}]
+ >=dev-python/numexpr-2.7.0[${PYTHON_USEDEP}]
+"
+
+# TODO: add pandas-gbq to the tree
+# TODO: Re-add dev-python/statsmodel[python3_11] dep once it supports python3_11
+# https://github.com/statsmodels/statsmodels/issues/8287
+OPTIONAL_DEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/blosc[${PYTHON_USEDEP}]
+ || (
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ || (
+ dev-python/openpyxl[${PYTHON_USEDEP}]
+ dev-python/xlsxwriter[${PYTHON_USEDEP}]
+ )
+ >=dev-python/pytables-3.2.1[${PYTHON_USEDEP}]
+ >=dev-python/xarray-0.12.3[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/xlrd-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0[${PYTHON_USEDEP}]
+ !hppa? (
+ $(python_gen_cond_dep '
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ ' python3_{8..10} )
+ >=dev-python/scipy-1.1[${PYTHON_USEDEP}]
+ )
+ X? (
+ || (
+ dev-python/PyQt5[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+COMMON_DEPEND="
+ >=dev-python/numpy-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1-r3[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2020.1[${PYTHON_USEDEP}]
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
+ doc? (
+ ${VIRTUALX_DEPEND}
+ app-text/pandoc
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/nbsphinx[${PYTHON_USEDEP}]
+ >=dev-python/numpydoc-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-1.6.1[${PYTHON_USEDEP}]
+ >=dev-python/pytables-3.0.0[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/rpy[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/xlrd[${PYTHON_USEDEP}]
+ dev-python/xlwt[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ )
+ test? (
+ ${VIRTUALX_DEPEND}
+ ${RECOMMENDED_DEPEND}
+ ${OPTIONAL_DEPEND}
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5.5.3[${PYTHON_USEDEP}]
+ dev-python/openpyxl[${PYTHON_USEDEP}]
+ dev-python/pymysql[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-1.31[${PYTHON_USEDEP}]
+ dev-python/psycopg:2[${PYTHON_USEDEP}]
+ dev-python/xlsxwriter[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+"
+# dev-python/statsmodels invokes a circular dep
+# hence rm from doc? ( ), again
+RDEPEND="
+ ${COMMON_DEPEND}
+ !minimal? ( ${RECOMMENDED_DEPEND} )
+ full-support? ( ${OPTIONAL_DEPEND} )
+"
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" \
+ -i doc/source/conf.py || die
+
+ # requires package installed
+ sed -e '/extra_compile_args =/s:"-Werror"::' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile -j1
+}
+
+python_compile_all() {
+ # To build docs the need be located in $BUILD_DIR,
+ # else PYTHONPATH points to unusable modules.
+ if use doc; then
+ cd "${BUILD_DIR}"/lib || die
+ cp -ar "${S}"/doc . && cd doc || die
+ LANG=C PYTHONPATH=. virtx ${EPYTHON} make.py html
+ fi
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # test for rounding errors, fails if we have better precision
+ # e.g. on amd64 with FMA or on arm64
+ # https://github.com/pandas-dev/pandas/issues/38921
+ pandas/tests/window/test_rolling.py::test_rolling_var_numerical_issues
+
+ # TODO
+ pandas/tests/api/test_api.py::TestTesting::test_util_testing_deprecated
+ pandas/tests/api/test_api.py::TestTesting::test_util_testing_deprecated_direct
+ pandas/tests/io/test_clipboard.py::TestClipboard::test_raw_roundtrip
+
+ # TODO: xdist?
+ pandas/tests/test_expressions.py::TestExpressions::test_run_binary
+
+ # TODO: these require a running db server
+ pandas/tests/io/test_sql.py::TestMySQLAlchemy
+ pandas/tests/io/test_sql.py::TestMySQLAlchemyConn
+ pandas/tests/io/test_sql.py::TestPostgreSQLAlchemy
+ pandas/tests/io/test_sql.py::TestPostgreSQLAlchemyConn
+
+ # OOMs
+ pandas/tests/io/parser/test_c_parser_only.py::test_bytes_exceed_2gb
+ )
+
+ local -x LC_ALL=C.UTF-8
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die
+ epytest pandas --skip-slow --skip-network -m "not single" \
+ -n "$(makeopts_jobs)" || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use doc; then
+ dodoc -r "${BUILD_DIR}"/lib/doc/build/html
+ einfo "An initial build of docs is absent of references to statsmodels"
+ einfo "due to circular dependency. To have them included, emerge"
+ einfo "statsmodels next and re-emerge pandas with USE doc"
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "accelerating certain types of NaN evaluations, using specialized cython routines to achieve large speedups." dev-python/bottleneck
+ optfeature "accelerating certain numerical operations, using multiple cores as well as smart chunking and caching to achieve large speedups" ">=dev-python/numexpr-2.1"
+ optfeature "needed for pandas.io.html.read_html" dev-python/beautifulsoup4 dev-python/html5lib dev-python/lxml
+ optfeature "for msgpack compression using blosc" dev-python/blosc
+ optfeature "Template engine for conditional HTML formatting" dev-python/jinja
+ optfeature "Plotting support" dev-python/matplotlib
+ optfeature "Needed for Excel I/O" ">=dev-python/openpyxl-3.0.0" dev-python/xlsxwriter dev-python/xlrd dev-python/xlwt
+ optfeature "necessary for HDF5-based storage" ">=dev-python/pytables-3.2.1"
+ optfeature "R I/O support" dev-python/rpy
+ optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
+ optfeature "SQL database support" ">=dev-python/sqlalchemy-1.3.0"
+ optfeature "miscellaneous statistical functions" dev-python/scipy
+ optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/pygtk x11-misc/xclip x11-misc/xsel
+}
diff --git a/dev-python/poetry-core/Manifest b/dev-python/poetry-core/Manifest
index 8796aeb96df6..b71b1c8294c8 100644
--- a/dev-python/poetry-core/Manifest
+++ b/dev-python/poetry-core/Manifest
@@ -1,3 +1,5 @@
DIST poetry-core-1.3.2.gh.tar.gz 539267 BLAKE2B 43845f344f8b492aa5dae5608b8d67b41efab33c60999cc61d8476e08a9ec9870328174b371d0735624c5f11dd2ce15e19e2c984653c7349dd0c3a687dec0123 SHA512 57fca4925889bfcff9335c0f76ea0cf8b48de1cb7bdc83bab8ceee452d6a6d64c4eaa169be17fb32ee59f453256fde1191e5c36382c4be27b74b5e3c8dce7703
+DIST poetry-core-1.4.0.gh.tar.gz 556575 BLAKE2B 6a0860f965bb7d554f1f13c46d76727b9a763dd3dc04a1d889ca894c30ad91e46931308981560fadf70348731f080322da9c9590248b7877e02eb81f4009e02a SHA512 31c9b42ae8e4ec5c4cec93604a5ea72642fb89717867d7f43fdf930835c7e1da97b0251870d86841c30b1bf0ee7b167fc6a8dcfe939beb5b40acd7e24dfaede7
EBUILD poetry-core-1.3.2.ebuild 1620 BLAKE2B 41931afbcf5767a54fb5df962676cfbd0fda0274de861431ab0f343717f1d725ff42be41b5268f5aa760013163164a07bf5b417065607a2ceb3d230b5cd84534 SHA512 541c765d3e42be2192d490a2cc86d668ffc5940909d47197de21d95e0863bd37fdf2eb41c625f44d9611c2fe81bbf9f7008756dad00951cd49c0e9988fee6df0
+EBUILD poetry-core-1.4.0.ebuild 1628 BLAKE2B d21b2534abea4c369eeadde7fd2d2ff6a1b1baf557a44454fbbc5dbd8ba506656aae294a35b64efa5f33127a76ad9ec32b71c0105bd3a90e2e58bd9253e724e9 SHA512 fe519e3c99aa9daf15bc60f3074b492381cd54a86bf915399ee45f54b6765412a653a537ace5fe817f01bb3dcb6143618ee80f7a3714f8837b6ccb6440a44c0e
MISC metadata.xml 382 BLAKE2B 82dfc3f146cf3b669fed67ab2e21694b00d5473fdf855cae9fb3a0481785b32c4cf1ed9743a5d64cd055c1cb544377f936a9ec26c9d1dec2cf5fbef6749f5587 SHA512 032fd4dca8f8138c2b527e517f041889e15600ccca876fc3c9e53050196186ad2a9346168bce9c4bae7ffd8a77ff4dd19cc2559fd1da1fd4c7c181056fd49a13
diff --git a/dev-python/poetry-core/poetry-core-1.4.0.ebuild b/dev-python/poetry-core/poetry-core-1.4.0.ebuild
new file mode 100644
index 000000000000..c76206f1717a
--- /dev/null
+++ b/dev-python/poetry-core/poetry-core-1.4.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Poetry PEP 517 Build Backend"
+HOMEPAGE="
+ https://github.com/python-poetry/poetry-core/
+ https://pypi.org/project/poetry-core/
+"
+SRC_URI="
+ https://github.com/python-poetry/poetry-core/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# check inside src/poetry/core/_vendor/vendor.txt
+# (note that some are indirect deps)
+RDEPEND="
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lark[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/pep517[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # These "fail" bacause of glob file path resulting from newer versions
+ # in our tree than vendored. But those don't affect anything.
+ tests/masonry/builders/test_sdist.py::test_default_with_excluded_data
+ tests/masonry/builders/test_wheel.py::test_default_src_with_excluded_data
+)
+
+src_prepare() {
+ # remove vendoring of dependencies
+ rm -r src/poetry/core/_vendor || die
+ sed -e '/__vendor_site__/d' -i src/poetry/core/__init__.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # needed for migration from <1.1
+ distutils_write_namespace poetry
+ epytest
+}
diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index 2b9ab566a417..8f51fcb7f94d 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -1,3 +1,5 @@
DIST pyproject-fmt-0.3.5.gh.tar.gz 14718 BLAKE2B 6ccf58350fd2c4cd0726a3f66513cf9f4558b9e1cc8b9b1e2ea2b94844b9e6ab925ff5f141cbd32d8ea63b43f84a432034af69150fc1fa8ddcbfeab0a139c2d5 SHA512 c6b668d860f04a944872867574cfbe0946e7a5425cfa5f5b18e9ef0ce1e007197e7eb9915d76ca54e8963e71eb3fa7aee1f8362a63aa7bf89e06ca95681cdae8
+DIST pyproject-fmt-0.4.0.gh.tar.gz 14851 BLAKE2B 0ed9b7974410929b32ebfe0b452784cf150f58e531eb4cfd25359f3963dce326860ab2e3c01cd98911044dce9397327ea1fdcc4649133fac4fcf845d2fabf1ee SHA512 c5376abc29eac99df078c1981a01c3c7f12a55d0350df89deeb7f7ec74dad4470d7ff19e89fd399fd42150f93d214c9203b3e210a1facbf973a4ffbfc4241d8c
EBUILD pyproject-fmt-0.3.5.ebuild 859 BLAKE2B 298907d079a87ea69f0a46246eaa1c576e139233378c731f3e357884c70c08637162808924059782977f2455496f500c89d116226b576ba1ed4eae55a9a0b2ba SHA512 131e87c7e80cfff9c6feb2b05cf7be23bb58db20b0139576af140c85e0901c95626311f8cae80b8c9d3f5e93fd0747315f4af9c9e5387557d4433e613930a727
+EBUILD pyproject-fmt-0.4.0.ebuild 867 BLAKE2B 4f3e99e0890c26637f0e7fe76ae1a75e4496b15be3842328e245e18dab2ae096c7aac3a2fb324528eb443b87d1acdab961254baddfc2f4f15634b3fa648f8fdd SHA512 7951eafefdb52fa5735c5ef220f1b8fe021f1ea39e1c3089714864157f5ebdec7c54cb097d2e97f2a7af0945db3d9d2bea3a8a9591388ad0c7226f6b53eaadd8
MISC metadata.xml 380 BLAKE2B f139b3f6c22d40d7c91b9b35db262813e299d1a3c1a1f8d6129e457fac62e3e7029a05315a3bddd9c4542764a33160c89b58b3b62f457efb088a7ae7cd86a936 SHA512 38bd0633defb67ee1831480c8b3896e158d0735ec74057b13b3c389cf26bd6ecb878f21d172f83293789d81ca2c30afedab8eaeb4ab1774b39972fdd5f805a81
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-0.4.0.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-0.4.0.ebuild
new file mode 100644
index 000000000000..1173c6f3deb3
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-0.4.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+ https://github.com/tox-dev/pyproject-fmt/
+ https://pypi.org/project/pyproject-fmt/
+"
+SRC_URI="
+ https://github.com/tox-dev/pyproject-fmt/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.11.6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pytest-mock-3.8.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/pytest-check/Manifest b/dev-python/pytest-check/Manifest
index e6b141694d32..2390564c8afc 100644
--- a/dev-python/pytest-check/Manifest
+++ b/dev-python/pytest-check/Manifest
@@ -1,5 +1,7 @@
DIST pytest-check-1.0.10.tar.gz 15603 BLAKE2B e51dbb2806bdac73e202b14668c76675979113f661eb339a1a3cff07069d3d4709869d67ea2cb6384483ebde8b68288026df9b7492b17ea67c79ee95e6865809 SHA512 dc3a80b20637eab8adda085ca8172bc3bde75bd47566972a07cf226bb38771933a531d99e139d7c220cc149715fd7d98ab964f72e0b520e8dd3df7633a6e5a90
DIST pytest-check-1.1.2.tar.gz 19090 BLAKE2B 25d483c29f7a357b26d6153582e9ca0a4b6f6c5c97baf9e8a12403de6993f44fa4d4eea370f1c800036062abffb68cbcf826c210f7eb32ef4fefcbfde031674f SHA512 64e74e399cecc6733aeca7ca88dedb110029394548c0b3e27d0f35e034887fbb9a3d6a2da7b30e52a5fa68f535e15373173ffaf391afa02783009e5edb6637d3
+DIST pytest-check-1.1.3.tar.gz 19461 BLAKE2B e6ba332f3326992842a50323c6062283c3227d15526cc0f33f51a90455e7a30f0f53e96907896eeecce4a13b8e6fafcc8112eecfc844310200e107e92150d3d0 SHA512 af89cc90de9a72600d79947d2f771fe878dc55add754dae447afe8c0df47745842c35867ebc104825189c119858a7ddde992e91b48dab4f9e74fd71e7b55f51e
EBUILD pytest-check-1.0.10.ebuild 807 BLAKE2B c3aa0f860155660588326f82afa57021271c19a9afe01d378dbdda6f87753f5056442557e0b3c09044cba9cfe4fb5ff3cd47eeadef2ce3bb5ffa94dc23132109 SHA512 1104ee4ae8b6a41f5826efdf9737d52a53148987fef67b7d28649f8e89cd4abb175e4ab0882735d281cb1de1ef9fc8a4a3667215c26827417556a74d9720094b
EBUILD pytest-check-1.1.2-r1.ebuild 643 BLAKE2B 41e4324942061a428d3f191177a2dda6f7cd249c607684e310810ae03d4035d5a0f6b8bbfa349a9fb23604121ca297e7576509fb5acdcefd3df3e28dbc603a51 SHA512 d783f0baf0441dc4c9df3de9e1b13dfe93834f957ca357423ccd355ebc6496422beba89712ed31ddacfb29bc19b0a7ee73a70eb9f2d63e7da9911be953728860
-MISC metadata.xml 509 BLAKE2B 15bcbc2bd083ae1bb1175a40ebcb86b223b2ed783d4790a75512f86bf2feb49e25d205378bf8acaec2db5aa32e3bb73db668654b5712988aa2b2f620995f12bb SHA512 851c945ae636a64f1782a315603a27f2a6fa085ec40baedba98f31bc90cb5f9b4747561533cfd6b526fc889be3b67453091fbd0439a94a5e6dbe6ad9aef99dae
+EBUILD pytest-check-1.1.3.ebuild 643 BLAKE2B 06465b07cbd78fab1c8a914698a152f4c12924eb4114f64b35620e9640938bc7eeb2ccc417764e6440269f792d305a2570ee5f4e84e0af988828133044f4b91c SHA512 73ff6df7cac7028df988c0633b661442d9836e735032e6f668fcc5ba500b1ebfa223144666174d6d1c06019d168332b3eff0507f90507dc75e79ea2bae8821ed
+MISC metadata.xml 509 BLAKE2B 85ec27b195520ffaf65e8f9a0fe166f0ba07aa22bb8981d558f96d2d89cb00441478eacc47a482bf2243d26b015ff42a1058c2e90a58d7cfbb20bc521b5722f5 SHA512 8d9082c66dde73cd751e3b42fc08ddd3c1815f6a7882d1b659972e5fff64506de79265df97161d63f05e3106c818b0155c2c3e21c861a44d330ff57506bd64a3
diff --git a/dev-python/pytest-check/metadata.xml b/dev-python/pytest-check/metadata.xml
index 5db435fa7f11..5d7827d9d2b4 100644
--- a/dev-python/pytest-check/metadata.xml
+++ b/dev-python/pytest-check/metadata.xml
@@ -12,6 +12,6 @@
<stabilize-allarches/>
<upstream>
<remote-id type="github">okken/pytest-check</remote-id>
- <remote-id type="pypi">pytest_check</remote-id>
+ <remote-id type="pypi">pytest-check</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-python/pytest-check/pytest-check-1.1.3.ebuild b/dev-python/pytest-check/pytest-check-1.1.3.ebuild
new file mode 100644
index 000000000000..9a459557d506
--- /dev/null
+++ b/dev-python/pytest-check/pytest-check-1.1.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin that allows multiple failures per test"
+HOMEPAGE="
+ https://github.com/okken/pytest-check/
+ https://pypi.org/project/pytest-check/
+"
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pytest-rerunfailures/Manifest b/dev-python/pytest-rerunfailures/Manifest
index ee2998e29651..62491ec023a3 100644
--- a/dev-python/pytest-rerunfailures/Manifest
+++ b/dev-python/pytest-rerunfailures/Manifest
@@ -1,3 +1,5 @@
DIST pytest-rerunfailures-10.2.tar.gz 15863 BLAKE2B 9f317f3a39ac234e145a14d532d2727bb9fb5fead65c05372cf95268e0f589f9de994cd3c47e75dcb354c996595698c43fccdea5134d2e1921429c8ea7b71451 SHA512 8830610276e2cc172ee372ae4d8376bc6329138751ea2737a4def6af32d05c112c872a7a180ff554018058c05ed0d109927dbac61f748586257e40b0243f03c8
+DIST pytest-rerunfailures-10.3.tar.gz 15852 BLAKE2B 1063f55f4145eff4db22f121620cb3a53ad8cd0c44580578bd5027c4bd8005af6d33e0da8d67fceb7b8abe91f22c591e7b42b7a810cb5c7d8b5668b0a48eb3f2 SHA512 30ebafdb221d7ff8c46d50795b1a342b55293eaf60f5a012c631e2333dcf3114bfc4ed5210705edba4ad33a8f215ce7b5988362750149fc5e9463e4c3fa93860
EBUILD pytest-rerunfailures-10.2-r1.ebuild 899 BLAKE2B 523b954d54f811a155b4b63232c76f2da365f2409e391fb50b831e38c680276396f6d4f4d0c6425a5808c2b875230fbe8bcca19790b1f5537faeddbfbd7ec2de SHA512 45347b510fac16dd65b82feee2ae6a81f7acbce40ae108d570431030cfbdbbfd71b500564177cb298d8b5053186b25e788226463e5cddb1fb019a10641723342
+EBUILD pytest-rerunfailures-10.3.ebuild 811 BLAKE2B d10386cf0bd51587ee62ca9946bc9b034b3edb2c82fa4d84e0648fa1c5974754848aacf0a45c569879464083f05253315f4643cd53283a497ef5af9dd69001ef SHA512 7449a3b2ba68a36a937a0da17f82987210214b9ee4de548995e33a80cf5d0f424368626735b5c496d0c68d493ab00dd81cc861285739b73fb161743e8a42f2b6
MISC metadata.xml 432 BLAKE2B 3bbb0bd303a26d2a336563f187160b3b023e6d7a3a776922dee4853164d7461f395e840b2c0ba1349687d24050ccb5fd18166aeec397c9b21a1aa0e6b536b795 SHA512 f372a1f73a4dc3e60f66bd6049cddb4d8cd8fe53bebff2a6d194eb3d5872adab9b7ac226971696fb24a8d4e4744427c4d4148054fc51a94f63320d428ef80d52
diff --git a/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.3.ebuild b/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.3.ebuild
new file mode 100644
index 000000000000..db19fb8cb3d3
--- /dev/null
+++ b/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin to re-run tests to eliminate flaky failures"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-rerunfailures/
+ https://pypi.org/project/pytest-rerunfailures/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MPL-2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/packaging-17.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_rerunfailures
+ epytest
+}
diff --git a/dev-python/redis-py/Manifest b/dev-python/redis-py/Manifest
index fb1dab58c2eb..cee148db2201 100644
--- a/dev-python/redis-py/Manifest
+++ b/dev-python/redis-py/Manifest
@@ -1,3 +1,5 @@
DIST redis-py-4.3.4.gh.tar.gz 4613714 BLAKE2B cea5a6455160c67c9ab3b8f9de8ae47aed97e7bea1e408ce1a001afe3e0c4a7a14220887504fa40c749d15be9d89f77e36b6f7a785e0ff22a49037b6ef245e87 SHA512 55dd00c15cedb82cb5edd46b1f18f32c0accb8c85b1b94bbfe04591dc07f6151ced81cbfca8ac6fe88a6743bf5abc50309ea23bef96bf4332a712979c61ea0b7
+DIST redis-py-4.3.5.gh.tar.gz 4620696 BLAKE2B 2eaa40fc0ad624c4b8444054dcfea70ba1a2a54aaa54954f0c0fab31b310d67ca25e7508bc3550a0033139bb36bb63ddea97bb807c91ca92df3630a5385d6ba5 SHA512 42ef903f07b818061aeaea5d7d188e058db1ef73275b731cfff762fb59cb91db708ad81b0b2773cf6e0ef200ecbb3bf9859f51c4fbeb04023547b9eac4e2e042
EBUILD redis-py-4.3.4.ebuild 1761 BLAKE2B 34745dde86f9477eabadfaa7119608dbf4d8fecd4f4f0ca5ef379b4b5e358d4d73dc4a5625f46a35431ad893f923bf69721a672df263cbcbe19266d151c88a0e SHA512 49db4fe89644c425139a5ebde1ef8c33c0806bda52c602a1c9665fcc96e36cf824798a4dbf4751a239da6a30b71eb7a4e5d4c6e44587a027549b3ff6ac5abcf9
+EBUILD redis-py-4.3.5.ebuild 1719 BLAKE2B acd412fd7b3c46b46e6b6338038031e970e8e43a8532b347ca2c362022749215a5d01373e06001fd226eb54d40b73771d67c51434992c20c26a285816daddc6e SHA512 53d1d2017efc2ea7ebb4b1653663bdddf159adc469fd72c13f411b90bcaf62863d78c0759fa8da04d58d017894838ca49736d913f87b95fa1376590b8423d64a
MISC metadata.xml 506 BLAKE2B 0e5747e826132dd365bdf6d3a63f0936ed476bc69c4c4d55126e692039046f51f69b193ead0baa181090b11f69ab2a49220d8f906f9fe3fc18331b76ff9e0b0f SHA512 725d650bfe345b132588930a18ade44182ec07f6697d2fd8806dc208ab1556939926e8899fc6d43691101d971f9c1e011fb8a5675fdde4698dbf4c230db15c75
diff --git a/dev-python/redis-py/redis-py-4.3.5.ebuild b/dev-python/redis-py/redis-py-4.3.5.ebuild
new file mode 100644
index 000000000000..5be327fc0a51
--- /dev/null
+++ b/dev-python/redis-py/redis-py-4.3.5.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+ https://github.com/redis/redis-py/
+ https://pypi.org/project/redis/
+"
+SRC_URI="
+ https://github.com/redis/redis-py/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/async-timeout-4.0.2[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ <dev-db/redis-7
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Flaky test
+ tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+ )
+
+ # TODO: try to run more servers?
+ epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ # Spawn Redis itself for testing purposes
+ # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+ # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ # "${EPREFIX}"/usr/sbin/redis-server - <<< "${redis_test_config}" || die
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/rope/Manifest b/dev-python/rope/Manifest
index 41a26670191b..fde9baa351b9 100644
--- a/dev-python/rope/Manifest
+++ b/dev-python/rope/Manifest
@@ -1,7 +1,9 @@
DIST rope-1.1.1.tar.gz 274610 BLAKE2B 52354453305ee58db70f86392f7ec27179e1e4a9ec677fb8875bb9ca24663e6dae26e1bac4a1ad62143fe3a419a7a1e1fd0b7d2f03ef556143d2b060b23300af SHA512 aaf664a63ef00e3c844d6999338fe6a3384ddecfe95ef9b7eb213e5c37c9f78f7d2ea59aa7e612487bac5eaaaf7fc8ba499c0d43c740f99a7b3be64c9d7f6e07
DIST rope-1.3.0.tar.gz 286846 BLAKE2B f8b122a276812638eee76cc235e91e013696f6047c450729edde1b4a5bfdd1d6aa7d1e9ac46048e8205a1f544ee82f740e0f7b20f10769a9a28065a8b9caee6b SHA512 45036cfb3abbe6b00306268f62804d787a633ef8981b23553d57ea18087bfbec33be6346bb59393bb6c3b48020a2da87f759668a57ec8e809ba3666aff0dfd2c
DIST rope-1.4.0.tar.gz 287417 BLAKE2B d161e571649be2df7e6012336e7bded844f98f67764740814bfccebc926ff4c5f734cdf26701c9b7cec35bf3178be1f1ebe0d86f3b60259a161d3e87125fc7d5 SHA512 586f6f22fdf4743f71bf7f7505ec49aaced28aff48b5eae4f731eb690edec1ff8c736e3f9f21d7732bf5ea60ced5253e8f0d224a51a6a9bfdf7dd50ab56733ea
+DIST rope-1.5.0.tar.gz 287817 BLAKE2B fcaf2b9bb1e9e7fd7ad1b433188d9a4d78dbca5af910bce745ecfd8bb32d485d3fe3c85acc4e251e9295422f7a2c0a8d57088f36d5c9d56c72a35dc7eb60d340 SHA512 0fa16d78f2c39bbba5f1559adb83602019d7efb819d4c5b7964f7230af58d21bff1352cb1bdb2e73c5f2e506c8a9aea46d5ccbb412f929d4a0bc21bd28c9f5d6
EBUILD rope-1.1.1.ebuild 571 BLAKE2B 9ff4cef2258e69d043c2b4fb2140959f1c17418c731b5bd294aceb693015f7c8dd063565762019479cad2f8b4b912b9e8e565e86e61841f78d385936193f79b5 SHA512 93d08ddb4b985b5b749ad5fe47756dbfeb3b7c43bc25655d52d96a27c18a85bd5ccd2e979b73f40f9d92c9dabbaf195d7d3edd5970631458627fca780923a66e
EBUILD rope-1.3.0.ebuild 927 BLAKE2B 0f8798251e597eb8c7bf6c7fd975fee2ce068165fbb6a852f4d88d0e4868ddd4fbb0bf9abfa7f391730f5509f7f97bf9ebc09d3d3a05ddfb5b15a8f968c7f41f SHA512 5f59e76f45a3789ebe9b82932aba890fa9d28186323665e905a4749d6b23e5e49941297465fb34742b4b422fa36a4a6fec70e14ddf879c552630a2a25fed7a45
EBUILD rope-1.4.0.ebuild 936 BLAKE2B 5177f20b6d19135672b1d3572635ec8e28df81cf245434c359b281ef14e69999ae5ff3dcaf344c5a62bd10670cc5116ba14df92d683cfdcbd88b87dcbdaebe45 SHA512 a168bbae17201eebea10e05c1f997e7457033c83d8bb9d35889da62c00813ba9c5f39e71106b02276a5b074b53b9591e62da635bbb9739609fd564caa32122cf
+EBUILD rope-1.5.0.ebuild 936 BLAKE2B 5177f20b6d19135672b1d3572635ec8e28df81cf245434c359b281ef14e69999ae5ff3dcaf344c5a62bd10670cc5116ba14df92d683cfdcbd88b87dcbdaebe45 SHA512 a168bbae17201eebea10e05c1f997e7457033c83d8bb9d35889da62c00813ba9c5f39e71106b02276a5b074b53b9591e62da635bbb9739609fd564caa32122cf
MISC metadata.xml 452 BLAKE2B 6bee424d801bad8728f10ec3a1618e3a48776a7b0af2a04efafd07e6ae5ac8e0b88253ebc35e457c791e820f8c3b1dabde73aabbfd3636cac5e169e8aca75aa7 SHA512 4f88e1157e4838f321b6f208ba6b89fbf2b7a72ea6e038cdd6cf3e9e211c2788dda137e3adf76072c1d52026c554750193d9938054670dd995a91db24ea8da76
diff --git a/dev-python/rope/rope-1.5.0.ebuild b/dev-python/rope/rope-1.5.0.ebuild
new file mode 100644
index 000000000000..be67d9231d44
--- /dev/null
+++ b/dev-python/rope/rope-1.5.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python refactoring library"
+HOMEPAGE="
+ https://pypi.org/project/rope/
+ https://github.com/python-rope/rope/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/pytoolconfig-1.2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # our venv style confuses this comparison
+ ropetest/contrib/autoimport/utilstest.py::test_get_package_source_typing
+ ropetest/contrib/autoimport/utilstest.py::test_get_package_tuple_typing
+ ropetest/contrib/autoimport/utilstest.py::test_get_package_tuple_compiled
+)
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index fa42b683814a..cc44a7c8e90d 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,7 +1,9 @@
DIST sentry-sdk-1.10.1.gh.tar.gz 292186 BLAKE2B 03181c0118294d4221b176b1e4fd38b4b2147a3a1b6eae709153f92717da77e889d17e715ad1795c8d9bdf24ed2ca5718a88b4f3fa25d240ec8e5804d1041a56 SHA512 135dff6db284439812d74b54f301ba0ce25444f71ad0b7d3ff8869399dba97affa40673fd306960bc6665118e0aabd1a3420976effc9a501d51d9f2174d615f4
DIST sentry-sdk-1.11.0.gh.tar.gz 296421 BLAKE2B 4a7052a47bfa3e8a5b285c0c4845ca04fee1a9bba360920bcff8b1527714f504eb27be6d2d5466eb96759e17fc11824723825f4468b0d86ace040605b9043e18 SHA512 d966ebec2438d537d54da7db152f13691a67946add50357a5084f257ab5a29bb52bcf08a786a7906efac5509f5c075fd19ea0d7a04344fd2ddc216473162d809
+DIST sentry-sdk-1.11.1.gh.tar.gz 296633 BLAKE2B 8325b75d58bb4c587c5d27698b775a76aaf840fc69a910567243fcac2d6fbb7fe00fbfe008c70fc5b67d999167cc3474e5a18817832dfe2c768ffc750c7af128 SHA512 9fd3e1aa9a7287ae21d1a7274f12b9d309d95615e5611ee098c8e2d0577f7c3928a6d5c7256b18d4f0de0ac48d44eb9e38f94709e8982a0c09a5b1cfb5dba114
DIST sentry-sdk-1.9.10.gh.tar.gz 282661 BLAKE2B dbecfafafebb52f288ff977dc39b7268c0cd7fc78a643139b9baf9345eb216842bad426e860914dad325096306dc515bf48ddfb26f524c95c718787ecadce3e1 SHA512 293f38335692fe6ec215d470b436d2a8ae49ac8471722c555405e920a41d2d591682c956bb01ad43bb3705566353a878f8fabfe74248716e9cf5a2ea2c172649
EBUILD sentry-sdk-1.10.1.ebuild 3160 BLAKE2B e2fea772df4fdb5f2899f41b1c6a8ba4c95744fca0de3cc802179a40ecc486afb40012076ea44c30e5cf50f2a672cd29d21a95111f75dfd2822e5ba9fa2c9483 SHA512 306c1ccbb34d64b102589ec67ad7273228f85db9464b92b3415df2f264cc9e238cf58f71e6b4d1189dc93d4dbf82d1182329378028c4d91f2a40ea8359914d6e
EBUILD sentry-sdk-1.11.0.ebuild 3414 BLAKE2B 3879bb51889ac21d2671ee1efc7f4c0fa5b5e60f969ba2ecaae25139d954cfcad6af5aa5daddc2440d322afbc15b8173c1668114d7465e799390341a46106667 SHA512 bb51c3d0845e127fec7cc081908693741cd24d0c72e6cf11dc88c20f060df5fd67d79f6d92af03005fbdcd09ae6b39af2649a2aed5d241aa9da1afb04f85ad96
+EBUILD sentry-sdk-1.11.1.ebuild 3406 BLAKE2B 8a72ea60a5252e2786def87bbb5438bc1e121fdd6d80c9780d937eb9bad41cccdf6e3ed72494e72a80b54244ad4eb12af4a1fae608e0486508e0a3ec86e6c0f1 SHA512 2db8be49c8996b1080429ff7de25a0eb7607757cfb658203995131ed28f636131eca723e323706fe579ce10d055e3bddac3c41895f7238e6477cb1c9345ba0bc
EBUILD sentry-sdk-1.9.10.ebuild 3076 BLAKE2B b1d208ab1d07c5f769ad61bb907118818b76d2e2dc995c193cfdf9e72da126e04852306a5ed6bf889ef85f302988c2a52fc5555ddf8c698b1d88d12704dc7693 SHA512 cf0b6224a2fd4851b4b41b573f303df8fa30995efa8d94c8917a749b819113d04bb38900f4c587f63cb9bd1dc2dd622a24e01a91cbc913910262a3df7230b1c6
MISC metadata.xml 510 BLAKE2B e00011699ac2cc83f1923e1f6fa813ede7eab8c57f9ce9d9fca04e721b089db1c5f2bdffaa7b9856f56b433abd9189125e07ffd3f329e4fa8d098e28a4f2d7bd SHA512 bafb77a102d94fe050cb526b298fb8cfd56775cb4d07eda280f6356fbec6fbe5df5c9ebd459d9d4457cd027c2e0d7c349e053fa6070b52f0d2989f6ec600b87d
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.11.1.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.11.1.ebuild
new file mode 100644
index 000000000000..915dca6cddc6
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.11.1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # TODO: causes breakage in other tests
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+)
+
+EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_too_large_event_truncated
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+)
diff --git a/dev-python/tavern/Manifest b/dev-python/tavern/Manifest
index cf788e2b8c07..16d23fcb97b9 100644
--- a/dev-python/tavern/Manifest
+++ b/dev-python/tavern/Manifest
@@ -1,3 +1,5 @@
DIST tavern-1.24.0.gh.tar.gz 163796 BLAKE2B d1683bf9f62f77551155259d5627de8c5b9b7da4ec2024ac273f3ce912a004f48365ed46feadf437e7c8be38d5d17be146facc06dfc95b38ba10c24df0d28c55 SHA512 d0e57dcf792540028a790ec11fd1c4887f638af24ab8a716f855d5396410e780fa36dcdb175b86d26e86839478c57df32630cf9095e268ed8166069d49a6f706
+DIST tavern-1.24.1.gh.tar.gz 163938 BLAKE2B 661160fe203e5117452e23178a74279a982cb3e4b4cdb84df074d5cd8481796cb9a05b2c5d42b225c6a2d2cf34283166d59a3242ff5df76a457d89c6acf60576 SHA512 9a9f7e46172a62a0dbf0c42aa0521d0fbde644f05a650dd768a32b3c8652bb17209b8073519830e52b2865bbe646825e650cce251184b85f0a5343cfd2ceb1c3
EBUILD tavern-1.24.0.ebuild 961 BLAKE2B 7b04a0fb2c1cc07776527eb4ea3e5d8ba90458bf9aecf4304372624e7ab6186482aca491261261af0d8c6adf3c901eea6ee2190660f6ca790a60afd44a09b567 SHA512 509ebdf96bd73d51d7508f074e17bb3a4cd99e0c3365442df0501e6b0403ba4066c7015557f4926de0c00bd8ce111f46dcc2a6ef2afef51aed2a29020bc4a6d9
+EBUILD tavern-1.24.1.ebuild 995 BLAKE2B f5c21a4059fcc7ae2e47d00b938a918c83c96bedeb5b7fc25a64b7c2845eafae664ef2b8c29dbdb07cc43de9fb15c4a0d17ed2737d1c114ec66dda30fb9cbe90 SHA512 f7ded32d5c460441093e09afa1b28649d30d356ba52d43e38dd4788d6c4f6d2ac608bde88f2d04627af012c4fc478c950aa388cc6242529ec4db0a808fd8e3eb
MISC metadata.xml 722 BLAKE2B 0ed7dd19f49aae7940de52b0df249979458b3950422e1089886929499d7a92d16a3a6e101b52313569900af6aec4e26388ae6d0673d5b1acef1e1615ed87d34a SHA512 3c30524ee5129700db664b5dab8635463ee17d4a45295583d79755c1f5b1dbba9ac611fcec3e9584028bfe96cf913f4f4b9d8da67a0e8ff6cde1ebedbf57c15a
diff --git a/dev-python/tavern/tavern-1.24.1.ebuild b/dev-python/tavern/tavern-1.24.1.ebuild
new file mode 100644
index 000000000000..05f30e58c00e
--- /dev/null
+++ b/dev-python/tavern/tavern-1.24.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool, library, and Pytest plugin for testing RESTful APIs"
+HOMEPAGE="
+ https://github.com/taverntesting/tavern/
+ https://pypi.org/project/tavern/
+"
+SRC_URI="
+ https://github.com/taverntesting/tavern/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/paho-mqtt[${PYTHON_USEDEP}]
+ dev-python/pyjwt[${PYTHON_USEDEP}]
+ dev-python/pykwalify[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/python-box[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/stevedore[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/Faker[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/texttable/Manifest b/dev-python/texttable/Manifest
index b11e49d69e65..c8944e7e2581 100644
--- a/dev-python/texttable/Manifest
+++ b/dev-python/texttable/Manifest
@@ -1,5 +1,7 @@
DIST texttable-1.6.4.tar.gz 11611 BLAKE2B a97a9beefc9547fe7487af5b6411effd7391e303a13161d7e1c9304a1b580cf47bb10c8649dfea5c6f8ba05bc6c3fd7595662e8b74b282696d9ee3a110746212 SHA512 300b02f5b682f1c09a3eb5abfd4ee9c724354505a3f9e8f68207fd7d244402f234437807d68b6b526c3d4ade9e527e66c921bcd47a5e86d680698d559da3fe1a
DIST texttable-1.6.5.gh.tar.gz 11720 BLAKE2B e8a1e7c087de92b11954dc657c59d0c2c0b0afc509ab401c54ff9eca0f75952fcb5a0ae96d08241438c369edf820f03e73f76b9b5d9f610455f74e8a7751396e SHA512 63c73cd85be0432d05abde31ef7d7c91efa461b0f7daae3c6f9a29c116771841bbc1b4daf47c8863e32ed001417b96804ece1e976595c527ee5a1f253129028c
+DIST texttable-1.6.7.gh.tar.gz 11698 BLAKE2B e34f5d6b49de379493697638305b428a1921b93ad95902334f8315263657f4570f6c3770f99bd0fbbce7be29c73f9638922f2c0b19df137a9fde425170d3b0e3 SHA512 204dcad0d2438dab8880088d1ea6ab1d0a5d81348294547a6967938bf8e1c27a6c5f91c59c2fe22ce8d1266d7efdb165749e0aebc738644215ab9b1d5a28c419
EBUILD texttable-1.6.4-r1.ebuild 691 BLAKE2B 87a2345c50c2067a8a22973aa0aa7e3ef7311825b629b8f3ec221aea5049862c33fdc6e0b10fce32e5c43e951bb071e3d0e43b13fe7df99eccb1a52498becbff SHA512 6cdd88c38326a5c7890e641752d7a94874e07cdd5447660268ee5e30a1ed90a3fc73d3842d369d4858b6f4632cff9b9e214144e098fa5dc412f28dc40fc5b85e
EBUILD texttable-1.6.5.ebuild 694 BLAKE2B 01f4fcbfad407c3d5cd19ad1c36c7635c16b44e19e7dfa54850e005f50549e1809612febb1564f2078bd60f3e080b9ea540b646a86edbb7b3189535f5989d74b SHA512 ee70c6f639b8f84e3f26b6f42f9b53fd876a897b6ae27ccb6d70711d08b146ab09075f7a25c0b7fe88b78235a9229bdcbac72bb50c591c3bfc66d492bd7a8db1
+EBUILD texttable-1.6.7.ebuild 701 BLAKE2B 1c64aa9370546c92e5c91ed8b417715d0d6629cd258399d0bef7a9e38213315076c1e4299615b4baadbdac7e47be2851d1c580374e136fd6bc7eafeca19f0d27 SHA512 5304bf942d5319f487102e3c374a0786f44ffe1339503bfc0c153df636452cd3b288590add95503bea88bcd92638ec116092740cdd47485cb62ba227699c213f
MISC metadata.xml 416 BLAKE2B 5b62e938b6e8769183d1dfc146896dd74166fd18b04c774de1a0f839803fb7f118298ef10524f8bd64d998beaf3c442381cc5575bbae3d0954ebaa51def0b97f SHA512 679d6e3d889b245f143ae2684e97ff97e79be06f0bdf23df9382798ae9b5ad09995ac9c1d020eff057b50040ef8e90d1c3ef3f9ebb62de91490a3d6bb6a7ee95
diff --git a/dev-python/texttable/texttable-1.6.7.ebuild b/dev-python/texttable/texttable-1.6.7.ebuild
new file mode 100644
index 000000000000..a67b50ccc120
--- /dev/null
+++ b/dev-python/texttable/texttable-1.6.7.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Module to create simple ASCII tables"
+HOMEPAGE="
+ https://github.com/foutaise/texttable/
+ https://pypi.org/project/texttable/
+"
+SRC_URI="
+ https://github.com/foutaise/texttable/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest tests.py
+}
+
+pkg_postinst() {
+ optfeature "better wrapping of CJK text" dev-python/cjkwrap
+}